Update contact attribute
Update an existing contact attribute identified by its category and name. For category-type attributes, you can update the enumeration values; for calculated or global attributes, update the computed value formula; and for normal multiple-choice attributes, update the multicategory options. None of the category or multicategory option values can exceed 200 characters.
Authentication
The API key should be passed in the request headers as api-key for authentication.
OAuth 2.0 client_credentials (machine-to-machine) grant. Exchange your app’s client_id/client_secret for a short-lived Bearer token.
Path parameters
Request
List of the values and labels that the attribute can take. Use only if the attribute’s category is “category” None of the category options can exceed max 200 characters. For example, [{“value”:1, “label”:“male”}, {“value”:2, “label”:“female”}]
Use this option to add multiple-choice attributes options only if the attribute’s category is “normal”. This option is specifically designed for updating multiple-choice attributes. None of the multicategory options can exceed max 200 characters.. For example: [“USA”,“INDIA”]
Value of the attribute to update. Use only if the attribute’s category is ‘calculated’ or ‘global’